Bug 1171309 - Review Request: nodejs-upper-case-first - Upper case the first character of a string
Summary: Review Request: nodejs-upper-case-first - Upper case the first character of a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1171263
Blocks: 1171334 1171350
TreeView+ depends on / blocked
 
Reported: 2014-12-05 21:20 UTC by Piotr Popieluch
Modified: 2015-02-15 20:40 UTC (History)
2 users (show)

Fixed In Version: nodejs-upper-case-first-1.0.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-27 00:57:57 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Piotr Popieluch 2014-12-05 21:20:46 UTC
Spec URL: https://piotrp.fedorapeople.org/nodejs-upper-case-first.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-upper-case-first-1.0.1-1.fc21.src.rpm
Description: Upper case the first character of a string
Fedora Account System Username: piotrp

Comment 1 Parag AN(पराग) 2014-12-19 14:47:16 UTC
Review:

+ Package built successful in mock (f22 x86_64)

+ rpmlint on generated rpms gave output
nodejs-upper-case-first.noarch: W: spelling-error %description -l en_US toString -> to String, to-string, stringing
nodejs-upper-case-first.noarch: W: spelling-error %description -l en_US booleans -> boo leans, boo-leans, Boolean
nodejs-upper-case-first.noarch: W: only-non-binary-in-usr-lib
nodejs-upper-case-first.src: W: spelling-error %description -l en_US toString -> to String, to-string, stringing
nodejs-upper-case-first.src: W: spelling-error %description -l en_US booleans -> boo leans, boo-leans, Boolean
2 packages and 0 specfiles checked; 0 errors, 5 warnings.


+ Source verified with upstream as (sha256sum)
srpm tarball: 2040ea5b4c03e2ba925ea8ffafbca0e9da0017c12a58ab74a5175172661b11b5
upstream tarball:  2040ea5b4c03e2ba925ea8ffafbca0e9da0017c12a58ab74a5175172661b11b5

+ License is "MIT" and included in its own LICENSE file.

+ follows nodejs packaging guidelines.

APPROVED.

Comment 2 Piotr Popieluch 2014-12-19 15:03:39 UTC
New Package SCM Request
=======================
Package Name: nodejs-upper-case-first
Short Description: Upper case the first character of a string
Upstream URL: https://github.com/blakeembrey/upper-case-first
Owners: piotrp
Branches: f20 f21 el6 epel7

Comment 3 Gwyn Ciesla 2014-12-19 16:29:57 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-12-19 19:05:47 UTC
nodejs-upper-case-first-1.0.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-upper-case-first-1.0.1-1.fc20

Comment 5 Fedora Update System 2014-12-19 19:06:14 UTC
nodejs-upper-case-first-1.0.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-upper-case-first-1.0.1-1.fc21

Comment 6 Fedora Update System 2014-12-20 08:41:58 UTC
nodejs-upper-case-first-1.0.1-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 7 Piotr Popieluch 2014-12-27 00:57:57 UTC
package built, closing.

Comment 8 Fedora Update System 2014-12-29 09:59:04 UTC
nodejs-upper-case-first-1.0.1-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 9 Fedora Update System 2014-12-29 10:04:21 UTC
nodejs-upper-case-first-1.0.1-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 10 Fedora Update System 2015-01-27 21:06:05 UTC
nodejs-upper-case-first-1.0.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-upper-case-first-1.0.1-1.el7

Comment 11 Fedora Update System 2015-02-15 20:40:29 UTC
nodejs-upper-case-first-1.0.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.